<?php
/*
Задача 17.
В HTML форме предусмотрите поля для ввода результатов по прыжкам в длину для четырех спортсменов,
фамилии которых заранее известны. Пользователь вводит данные и в выпадающем списке выбирает
«Сортировать по убыванию» или «Сортировать по возрастанию». После нажатия кнопки ГОТОВО, вызывается php скрипт,
который вносит данные в ассоциированный массив (имена полей – фамилии спортсменов) и выводит массив в
отсортированном виде (по убыванию или по возрастанию). Перед сортировкой предусмотрите преобразование
введенных данных в вещественные числа.  
*/

$values = isset($_POST['value']) ? $_POST['value'] : null;
$order = isset($_POST['order']) ? $_POST['order'] : "desc";

if ($values !== null && $order !== null):

foreach ($values as &$value) {
	$value = floatval($value);
}

if ($order === "desc") {
	arsort($values);
} else {
	asort($values);
}


$i = 0;

$html_table = '
<table border>
	<thead>
		<tr>
			<td>№</td><td>Фамилия</td><td>Результат</td>
		</tr>
	</thead>
	<tbody>';

foreach ($values as $key=>$value) {
	$html_table .= '<tr><td>' . ++$i . '</td><td>' . $key . '</td><td>' . $value . '</td></tr>';
}

$html_table .= '
</tbody>
</table>';

endif;
?>
<!DOCTYPE html>
<html>
<head>
<style>
.sp {
	display: inline-block;
	width: 80px;
}
</style>
</head>
<body>
	<form method="POST">
		<p><span class="sp">Иванов: </span><input type="text" name="value[Иванов]"></p>
		<p><span class="sp">Петров: </span><input type="text" name="value[Петров]"></p>
		<p><span class="sp">Сидоров: </span><input type="text" name="value[Сидоров]"></p>
		<p><span class="sp">Робертов: </span><input type="text" name="value[Робертов]"></p>
		<select name="order">
			<option value="desc">Сортировать по убыванию</option>
			<option value="asc">Сортировать по возрастанию</option>
		</select>
		<p><input type="submit"></p>
	</form>
	<?=isset($html_table) ? $html_table : null?>
</body>
</html>